gtkmm: Gdk::Pixmap Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gdk::Pixmap Class Reference

Pixmaps are offscreen drawables. More...

Inheritance diagram for Gdk::Pixmap:
[legend]
Collaboration diagram for Gdk::Pixmap:
[legend]

List of all members.

## Public Member Functions
virtual | ~Pixmap ()
GdkPixmap* | gobj ()
| Provides access to the underlying C GObject.
const GdkPixmap* | gobj () const
| Provides access to the underlying C GObject.
GdkPixmap* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Drawable >& drawable, int width, int height, int depth=-1)
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< Display >& display, NativeWindow anid)
static Glib::RefPtr< Pixmap > | create_from_data (const Glib::RefPtr< const Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file.
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const std::string& filename)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const std::string& filename)
| Create a Pixmap from a xpm file with colormap.
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< const Drawable >& drawable, const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const Color& transparent_color, const char* const* data)
static Glib::RefPtr< Pixmap > | create_from_xpm (const Glib::RefPtr< Colormap >& colormap, Glib::RefPtr< Bitmap >& mask, const char* const* data)
## Protected Member Functions
| Pixmap ()
| Pixmap (const Glib::RefPtr< Drawable >& drawable, int width, int height, int depth=-1)
| Pixmap (const Glib::RefPtr< Drawable >& drawable, const char* data, int width, int height, int depth, const Color& fg, const Color& bg)
| Initialize a Pixmap from data.
| Pixmap (const Glib::RefPtr< Display >& display, NativeWindow anid)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::Pixmap > | wrap (GdkPixmapObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Pixmaps are offscreen drawables.

They can be drawn upon with the standard drawing primitives, then copied to another drawable (such as a Gdk::Window) with Gdk::Drawable::draw_drawable(). The depth of a pixmap is the number of bits per pixels. Bitmaps are simply pixmaps with a depth of 1. (That is, they are monochrome bitmaps - each pixel can be either on or off).

## Constructor & Destructor Documentation

virtual Gdk::Pixmap::~Pixmap | ( |  | ) | `[virtual]`

Gdk::Pixmap::Pixmap | ( |  | ) | `[protected]`

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr< Drawable >& | drawable,
|  | int | width,
|  | int | height,
|  | int | depth = `-1`
| ) |  | `[protected]`

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr< Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) |  | `[protected]`

Initialize a Pixmap from data.

Gdk::Pixmap::Pixmap | ( | const Glib::RefPtr< Display >& | display,
|  | NativeWindow | anid
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr< Drawable >& | drawable,
|  | int | width,
|  | int | height,
|  | int | depth = `-1`
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr< Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create | ( | const Glib::RefPtr< Display >& | display,
|  | NativeWindow | anid
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_data | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | const char * | data,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | const Color& | fg,
|  | const Color& | bg
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const Color& | transparent_color,
|  | const char *const * | data
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< Colormap >& | colormap,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const char *const * | data
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | const Color& | transparent_color,
|  | const std::string & | filename
| ) |  | `[static]`

Create a Pixmap from a xpm file.

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const Color& | transparent_color,
|  | const std::string & | filename
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< Colormap >& | colormap,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const Color& | transparent_color,
|  | const char *const * | data
| ) |  | `[static]`

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | const Glib::RefPtr< Colormap >& | colormap,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const Color& | transparent_color,
|  | const std::string & | filename
| ) |  | `[static]`

Create a Pixmap from a xpm file with colormap.

static Glib::RefPtr<Pixmap> Gdk::Pixmap::create_from_xpm | ( | const Glib::RefPtr< const Drawable >& | drawable,
|  | const Glib::RefPtr< Colormap >& | colormap,
|  | Glib::RefPtr< Bitmap >& | mask,
|  | const Color& | transparent_color,
|  | const char *const * | data
| ) |  | `[static]`

GdkPixmap* Gdk::Pixmap::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gdk::Drawable.

const GdkPixmap* Gdk::Pixmap::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gdk::Drawable.

GdkPixmap* Gdk::Pixmap::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gdk::Drawable.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::Pixmap > wrap | ( | GdkPixmapObject * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/pixmap.h